﻿using Syncfusion.Windows.Forms.Diagram;
using Syncfusion.Windows.Forms.Diagram.Controls;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Tools;


namespace WindowsFormsApplication10
{
    public partial class Form1 : Form
    {
        ToolTip TT = new ToolTip();
        public Form1()
        {
            InitializeComponent();
        }
        private void Form1_Load(object sender, EventArgs e)
        {
            PropertyEditor P = new PropertyEditor();
            P.Diagram = diagram2;
            P.Dock = DockStyle.Right;
            diagram2.Controls.Add(P);
            
            Syncfusion.Windows.Forms.Diagram.TextNode Tn = new TextNode("");
            Tn.Size = new SizeF(100, 100);
            Tn.PinPoint = new PointF(300, 300);
            Tn.ToolTipText = "TOOLTEXT";
            diagram2.Model.AppendChild(Tn);
            diagram2.EventSink.NodeClick += EventSink_NodeClick;
            diagram2.EventSink.NodeSelected += EventSink_NodeSelected;
            diagram2.EventSink.NodeDeselected += EventSink_NodeDeselected;
            diagram2.View.SelectionList.Clear();
        }

        void EventSink_NodeDeselected(NodeSelectedEventArgs evtArgs)
        {
            TT.Hide(diagram2);
        }

        void EventSink_NodeClick(NodeMouseEventArgs evtArgs)
        {
            TT.Show("Display a Larger Text here \n Display a Larger Text here \n Display a Larger Text here", diagram2);
        }

        void EventSink_NodeSelected(NodeSelectedEventArgs evtArgs)
        {
            //Set of Codes for configuring Your nodes.
        }

        

        
        
    }
}
